import React, { Component } from "react";
import ContentWrapper from "@/components/Layout/ContentWrapper";
import { Row, Col } from "reactstrap";
import { getPelaporan } from "@/actions/pelaporan";
import CaseProgress from "@/components/Main/CaseProgress";
import TableLaporan from "@/components/Main/TableLaporan";
import { connect } from "react-redux";
import Loader from "@/components/Common/Loader";

class Penjadwalan extends Component {
	constructor(props) {
		super(props);
		this.state = {
			pelaporan: {},
		};
	}

	componentDidMount = async () => {
		const { organisasi, peran } = this.props.user.peran[0];
		const query = { role: peran.id === 2021 ? "lldikti" : "dikti" };
		if (peran.id === 2021) query.orgId = organisasi.id;
		const pelaporan = await getPelaporan(query);
		this.setState({ pelaporan });
	};

	render() {
		const { pelaporan } = this.state;
		return (
			<ContentWrapper>
				<div className="content-heading">Penjadwalan Evaluasi</div>
				<Row>
					<Col lg="4">
						<CaseProgress />
					</Col>
					<Col lg="8">{pelaporan?.data ? <TableLaporan listData={pelaporan.data} to="/app/penjadwalan/todo" linkName="Atur Jadwal" /> : <Loader />}</Col>
				</Row>
			</ContentWrapper>
		);
	}
}

const mapStateToProps = (state) => ({ user: state.user });
export default connect(mapStateToProps)(Penjadwalan);
